Bug 19947 - Update popup window templates to use Bootstrap grid: Acquisitions transfer order
Summary: Update popup window templates to use Bootstrap grid: Acquisitions transfer order
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords: Academy
Depends on: 19755
Blocks: 19931
  Show dependency treegraph
 
Reported: 2018-01-10 17:17 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order (2.10 KB, patch)
2018-01-10 17:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order (2.17 KB, patch)
2018-01-18 21:13 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order (2.23 KB, patch)
2018-02-16 06:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-10 17:17:17 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be transferorder.tt, the template for transferring an order from one vendor to another in acquisitions.
Comment 1 Owen Leonard 2018-01-10 17:25:25 UTC
Created attachment 70412 [details] [review]
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order

This patch updates the acquisitions transfer order template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Corrected footer include for popup window.

To test, apply the patch and go to Acquisitions -> Vendor -> Open order
-> Transfer.

In the popup window search for a vendor, select, and choose a basket.
Comment 2 Charlotte Cordwell 2018-01-18 21:13:47 UTC
Created attachment 70718 [details] [review]
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order

This patch updates the acquisitions transfer order template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Corrected footer include for popup window.

To test, apply the patch and go to Acquisitions -> Vendor -> Open order
-> Transfer.

In the popup window search for a vendor, select, and choose a basket.

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>
Comment 3 Katrin Fischer 2018-02-04 15:39:35 UTC
Dependency is Failed QA.
Comment 4 Jonathan Druart 2018-02-08 16:14:26 UTC
Dependency is Passed QA now.
Comment 5 Katrin Fischer 2018-02-16 06:41:13 UTC
Hi Owen, this appears to work nicely, no regression, so passing QA.

But could you take a look at the workflow starting from the parcel page sometime?

- Close basket
- Receive shipment
- Transfer order
-> Opens in a new tab, different and less nice than from the basket page.
Comment 6 Katrin Fischer 2018-02-16 06:42:50 UTC
Created attachment 71699 [details] [review]
Bug 19947: Update popup window templates to use Bootstrap grid: Acquisitions transfer order

This patch updates the acquisitions transfer order template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Corrected footer include for popup window.

To test, apply the patch and go to Acquisitions -> Vendor -> Open order
-> Transfer.

In the popup window search for a vendor, select, and choose a basket.

Signed-off-by: Charlotte Cordwell <charlotte.cordwell123@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2018-02-16 17:06:55 UTC
Pushed to master for 18.05, thanks to everybody involved!